Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce
Class PrincipalUtil

    java.lang.Object
      org.bouncycastle.jce.PrincipalUtil

public class PrincipalUtil
extends java.lang.Object

a utility class that will extract X509Principal objects from X.509 certificates.

Use this in preference to trying to recreate a principal from a String, not all DNs are what they should be, so it's best to leave them encoded where they can be.

Constructor Summary
`PrincipalUtil()`

Method Summary
`static X509Principal` | `getIssuerX509Principal(java.security.cert.X509Certificate cert)` return the issuer of the given cert as an X509PrincipalObject.
`static X509Principal` | `getIssuerX509Principal(java.security.cert.X509CRL crl)` return the issuer of the given CRL as an X509PrincipalObject.
`static X509Principal` | `getSubjectX509Principal(java.security.cert.X509Certificate cert)` return the subject of the given cert as an X509PrincipalObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrincipalUtil

    public PrincipalUtil()

Method Detail

### getIssuerX509Principal

    public static X509Principal getIssuerX509Principal(java.security.cert.X509Certificate cert)
                                                throws java.security.cert.CertificateEncodingException

  return the issuer of the given cert as an X509PrincipalObject.

  Throws:
    `java.security.cert.CertificateEncodingException`

### getSubjectX509Principal

    public static X509Principal getSubjectX509Principal(java.security.cert.X509Certificate cert)
                                                 throws java.security.cert.CertificateEncodingException

  return the subject of the given cert as an X509PrincipalObject.

  Throws:
    `java.security.cert.CertificateEncodingException`

### getIssuerX509Principal

    public static X509Principal getIssuerX509Principal(java.security.cert.X509CRL crl)
                                                throws java.security.cert.CRLException

  return the issuer of the given CRL as an X509PrincipalObject.

  Throws:
    `java.security.cert.CRLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD